* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

html,
body {
  height: 100%;
  overflow: hidden; /* Prevent scrolling */
}

.large-image-container {
  width: 100vw;
  height: 100vh;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
}

.large-image-container img {
  width: 100%;
  height: 100%;
  object-fit: cover; /* Ensures the image covers the entire screen, maintaining aspect ratio */
}

.thumbnail-container {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 10px;
  position: fixed;
  top: 10px;
  left: 50%;
  transform: translateX(-50%);
  z-index: 10;
}

.thumbnail-container img {
  cursor: pointer;
  width: 100px;
  height: 75px;
  object-fit: cover;
  border: 4px solid slategray;
  border-radius: 5px;
}

.thumbnail-container img:focus {
  border: 4px solid red;
  border-radius: 5px;
}

.previous-btn,
.next-btn {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  padding: 10px;
  font-size: 24px;
  background-color: rgba(0, 0, 0, 0.5);
  color: white;
  border: none;
  cursor: pointer;
  z-index: 2000;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
}

.previous-btn {
  left: 10px;
}

.next-btn {
  right: 10px;
}

.next-btn:focus,
.previous-btn:focus {
  border: 2px solid red;
}

@media (max-width: 600px) {
  .previous-btn,
  .next-btn {
    display: none;
  }

  .thumbnail-container {
    top: unset;
    bottom: 30px;
  }
}
